开发者社区 > 大数据与机器学习 > 人工智能平台PAI > 正文

机器学习PAI升级1.6.2后还是有这个问题怎么办?

升级1.6.2后还是有这个问题怎么办?
pyalink 1.6.1
StreamOperator.fromDataframe(out_df, out_schema_str)
之后直接连kafka sink会报下面的错误是怎么回事?47e15bfe62a6079fca47ca316551f5d5.png

展开
收起
乐天香橙派 2023-11-14 10:55:24 42 0
2 条回答
写回答
取消 提交回答
  • 根据您提供的错误信息,问题可能是由于在升级PAI版本后,相关依赖没有正确更新导致的。您可以尝试以下方法解决这个问题:

    1. 确保您的pyalink库是最新版本。您可以使用以下命令更新pyalink库:

      pip install --upgrade pyalink
      
    2. 检查您的代码中是否有对新版本pyalink的不兼容更改。如果有,请根据您的需求进行相应的修改。

    3. 如果问题仍然存在,您可以尝试在PAI集群中运行一个简单的示例程序,以排除其他潜在问题。例如,您可以使用以下命令运行一个简单的线性回归模型:

      alink run -m local -f linear_regression -d input_data.csv -o output_model
      

      其中,input_data.csv是您的输入数据文件,output_model是输出模型文件。

    2023-11-30 13:49:02
    赞同 展开评论 打赏
  • 插件也要升级一下 应该是这个问题
     —此回答来自钉群”Alink开源--用户群“

    2023-11-14 11:35:03
    赞同 展开评论 打赏

相关产品

  • 人工智能平台 PAI
  • 热门讨论

    热门文章

    相关电子书

    更多
    大规模机器学习在蚂蚁+阿里的应用 立即下载
    基于Spark的面向十亿级别特征的 大规模机器学习 立即下载
    基于Spark的大规模机器学习在微博的应用 立即下载